| Version: 3.2.5

Classes | Enumerations
xmlres.h File Reference

## Classes

class | wxXmlResource
| This is the main class for interacting with the XML-based resource system. More...
class | wxXmlResourceHandler
| wxSizerXmlHandler is a class for resource handlers capable of creating a wxSizer object from an XML node. More...

## Enumerations

enum | wxXmlResourceFlags { wxXRC_USE_LOCALE = 1 , wxXRC_NO_SUBCLASSING = 2 , wxXRC_NO_RELOADING = 4 , wxXRC_USE_ENVVARS = 8 }
| Flags which can be used with wxXmlResource::wxXmlResource. More...

## Enumeration Type Documentation

## ◆ wxXmlResourceFlags

enum wxXmlResourceFlags

Flags which can be used with wxXmlResource::wxXmlResource.

Enumerator
wxXRC_USE_LOCALE | Translatable strings will be translated via _().
wxXRC_NO_SUBCLASSING | Subclass property of object nodes will be ignored (useful for previews in XRC editors).
wxXRC_NO_RELOADING | Prevent the XRC files from being reloaded from disk in case they have been modified there since being last loaded (may slightly speed up loading them).

wxXRC_USE_ENVVARS

Expand environment variables for paths in XRC (such as bitmaps or icons).

Since
  3.1.3